Bug 1405948 - OSCP stapling not working by default
Summary: OSCP stapling not working by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: hitch
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ingvar Hagelund
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-19 09:28 UTC by Sander Hoentjen
Modified: 2017-01-31 05:18 UTC (History)
1 user (show)

Fixed In Version: hitch-1.4.4-2.fc25 hitch-1.4.4-2.fc24 hitch-1.4.4-2.el6 hitch-1.4.4-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-20 17:54:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Sander Hoentjen 2016-12-19 09:28:07 UTC
Description of problem:
/var/lib/hitch/ is not in RPM package

Version-Release number of selected component (if applicable):
hitch-1.4.3-1.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start hitch
2. observe console

Actual results:
{ocsp} Warning: Unable to stat directory '/var/lib/hitch/': No such file or directory'. OCSP stapling will be disabled.

Expected results:
No warnings

Additional info:
Hitch 1.4.3 switched OCSP stapling to on by default

Comment 1 Ingvar Hagelund 2016-12-19 09:56:48 UTC
There is a bug in hitch-1.4.3 that makes ocsp stapling unstable in some corner cases, observed in production. I will enable oscp stapling (and /var/lib/hitch) when this is fixed, probably when hitch-1.4.4 is released.

Ingvar

Comment 2 Sander Hoentjen 2016-12-19 10:07:41 UTC
Ok, good to hear. Just wanted to make sure you were aware of the issue

Comment 3 Ingvar Hagelund 2017-01-12 09:27:20 UTC
Sander, can you test hitch-1.4.4-2 from rawhide, please?

https://apps.fedoraproject.org/packages/hitch

Best regards,
Ingvar Hagelund

Comment 4 Sander Hoentjen 2017-01-12 09:29:52 UTC
Ingvar,

I tested hitch-1.4.4-2.el6.x86_64 from koji, and it works as expected.

Comment 5 Fedora Update System 2017-01-12 09:44:11 UTC
hitch-1.4.4-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-df71990a9f

Comment 6 Fedora Update System 2017-01-12 09:44:18 UTC
hitch-1.4.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8a6ae7734e

Comment 7 Fedora Update System 2017-01-12 09:44:22 UTC
hitch-1.4.4-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eef6872fa4

Comment 8 Fedora Update System 2017-01-12 09:44:27 UTC
hitch-1.4.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9ca0efb2d7

Comment 9 Fedora Update System 2017-01-13 07:46:46 UTC
hitch-1.4.4-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-df71990a9f

Comment 10 Fedora Update System 2017-01-13 07:47:54 UTC
hitch-1.4.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9ca0efb2d7

Comment 11 Fedora Update System 2017-01-13 08:26:25 UTC
hitch-1.4.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8a6ae7734e

Comment 12 Fedora Update System 2017-01-13 08:31:50 UTC
hitch-1.4.4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eef6872fa4

Comment 13 Fedora Update System 2017-01-20 17:54:07 UTC
hitch-1.4.4-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-20 18:18:45 UTC
hitch-1.4.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-31 05:17:54 UTC
hitch-1.4.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-01-31 05:18:06 UTC
hitch-1.4.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.